-- If merging with other lua scripts, your conditionals should look like this, with one "if" and many "elseif" lines:
--   if (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('FOLDER NAME/SONG TITLE')) then s = 'COMMANDS';
--   elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('FOLDER NAME/SONG TITLE')) then s = 'COMMANDS';
--   elseif ...
--   ...
--   else s = '';
--   end

-- PlayerP1OnCommand / PlayerP2OnCommand --
function GetPlayfield( pNum )

	-- For Player 1 --
	if pNum == '1' then
		
		-- Anger of YuYu --
		if (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/Anger of YuYu')) then s = 'x,SCREEN_CENTER_X;sleep,56.152;queuecommand,LowVibrate;sleep,2.286;queuecommand,MidVibrate;sleep,9.142;queuecommand,HighVibrate;sleep,9.143;queuecommand,Stop;sleep,34.286;queuecommand,MidVibrate;decelerate,0.572;addx,-160;queuecommand,Stop;sleep,5.714-0.572;linear,1.143;addx,160;sleep,2.286;queuecommand,MidVibrate;decelerate,0.572;addx,160;queuecommand,Stop;sleep,5.714-0.572;linear,1.143;addx,-160';
		
		-- Hell Scaper --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/Hell Scaper (Last Escape Mix)')) then s = 'sleep,74.900;queuecommand,MidVibrate;linear,0.25;addy,640;queuecommand,Stop;sleep,5.083;linear,22.667;addy,-640';
		
		-- Return --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('WinDEU Loves You/Return'))
		then s = 'sleep,47.300;accelerate,0.320;addx,400;rotationy,720;decelerate,0.321;addx,-400;rotationy,1440;sleep,26.709;decelerate,0.641;rotationz,360;rotationy,0;rotationx,720;sleep,14.786;decelerate,0.300;rotationy,360;addx,128';
		
		-- Perfect Cherry Storm --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('WinDEU Loves You/Perfect Cherry Storm'))
		then s = 'x,SCREEN_CENTER_X;sleep,21.6;queuecommand,Vib1;sleep,60;queuecommand,Stop;sleep,67.2;linear,9.6;addx,-180;rotationz,-20;queuecommand,Rapidwag;linear,7.2;rotationz,-70;queuecommand,Stop;accelerate,1.2;addx,90;rotationz,-35;decelerate,1.2;addx,90;rotationz,0;sleep,40.8;queuecommand,Rapidwag2;sleep,14.4;queuecommand,Stop;sleep,4.9;decelerate,1.2;addx,160;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-160;rotationy,0';
		
		-- The End --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/The End')) then s = 'sleep,350.594;queuecommand,PhantasmPartOneA';
		
		else s = '';
		end
	end
	
	-- For Player 2 --
	if pNum == '2' then
		
		-- Anger of YuYu --
		if (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/Anger of YuYu')) then s = 'x,SCREEN_CENTER_X;sleep,56.152;queuecommand,LowVibrate;sleep,2.286;queuecommand,MidVibrate;sleep,9.142;queuecommand,HighVibrate;sleep,9.143;queuecommand,Stop;sleep,34.286;queuecommand,MidVibrate;decelerate,0.572;addx,-160;queuecommand,Stop;sleep,5.714-0.572;linear,1.143;addx,160;sleep,2.286;queuecommand,MidVibrate;decelerate,0.572;addx,160;queuecommand,Stop;sleep,5.714-0.572;linear,1.143;addx,-160';
		
		-- Hell Scaper --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/Hell Scaper (Last Escape Mix)')) then s = 'sleep,74.900;queuecommand,MidVibrate;linear,0.25;addy,640;queuecommand,Stop;sleep,5.083;linear,22.667;addy,-640';
		
		-- Return --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('WinDEU Loves You/Return'))
		then s = 'sleep,47.300;accelerate,0.320;addx,-400;rotationy,720;decelerate,0.321;addx,400;rotationy,1440;sleep,26.709;decelerate,0.641;rotationz,360;rotationy,0;rotationx,720;sleep,14.786;decelerate,0.300;rotationy,360;addx,-128';
		
		-- Perfect Cherry Storm --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('WinDEU Loves You/Perfect Cherry Storm'))
		then s = 'x,SCREEN_CENTER_X;sleep,21.6;queuecommand,Vib1;sleep,60;queuecommand,Stop;sleep,67.2;linear,9.6;addx,-180;rotationz,-20;queuecommand,Rapidwag;linear,7.2;rotationz,-70;queuecommand,Stop;accelerate,1.2;addx,90;rotationz,-35;decelerate,1.2;addx,90;rotationz,0;sleep,40.8;queuecommand,Rapidwag2;sleep,14.4;queuecommand,Stop;sleep,4.9;decelerate,1.2;addx,160;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-320;rotationy,0;sleep,1.2;decelerate,1.2;addx,320;rotationy,1440;sleep,1.2;decelerate,1.2;addx,-160;rotationy,0';
		
		-- The End --
		elseif (GAMESTATE:GetCurrentSong() == SONGMAN:FindSong('SRT X/The End')) then s = 'sleep,350.594;queuecommand,PhantasmPartOneA';
		
		else s = '';
		end
	end
	return s;
	
end

-- Perfect Cherry Storm --
function Vib1()
	s = 'vibrate;effectmagnitude,10,10,0';
	return s
end

function Rapidwag()
	s = 'wag;effectmagnitude,0,0,10;effectperiod,0.05';
	return s
end

function Rapidwag2()
	s = 'wag;effectmagnitude,0,35,0;effectclock,bgm;effectperiod,0.125';
	return s
end 



-- TERROR TO TERROR, FUCKFACE --
 
function PhantasmPartOneA()
        s = 'decelerate,0.16216;rotationz,90;linear,0.05405;rotationz,-80;linear,0.05405;rotationz,70;linear,0.05405;rotationz,-60;linear,0.05405;rotationz,50;linear,0.05405;rotationz,-40;linear,0.05405;rotationz,30;linear,0.05405;rotationz,-20;linear,0.05405;rotationz,10;linear,0.05405;rotationz,0;sleep,9.081;decelerate,0.10811;zoomx,0.25;zoomy,4;accelerate,0.10811;zoomx,4;zoomy,0.25;decelerate,0.10811;zoomx,1;zoomy,1;sleep,31.46-10.378;decelerate,0.16216;rotationz,-90;linear,0.05405;rotationz,80;linear,0.05405;rotationz,-70;linear,0.05405;rotationz,60;linear,0.05405;rotationz,-50;linear,0.05405;rotationz,40;linear,0.05405;rotationz,-30;linear,0.05405;rotationz,20;linear,0.05405;rotationz,-10;linear,0.05405;rotationz,0;sleep,1.297;queuecommand,MidVibrate;decelerate,0.5;rotationy,25;queuecommand,Stop;sleep,0.798;sleep,0;queuecommand,PhantasmPartOneB';
        return s
end

function PhantasmPartOneB()
        s = 'decelerate,0.10811;zoomx,0.25;zoomy,4;accelerate,0.10811;zoomx,4;zoomy,0.25;decelerate,0.10811;zoomx,1;zoomy,1;sleep,4.865;decelerate,0.10811;zoomx,0.25;zoomy,4;accelerate,0.10811;zoomx,4;zoomy,0.25;decelerate,0.10811;zoomx,1;zoomy,1;sleep,4.865;decelerate,0.10811;zoomx,0.25;zoomy,4;accelerate,0.10811;zoomx,4;zoomy,0.25;decelerate,0.10811;zoomx,1;zoomy,1;sleep,4.865;decelerate,0.10811;zoomx,0.25;zoomy,4;accelerate,0.10811;zoomx,4;zoomy,0.25;decelerate,0.10811;zoomx,1;zoomy,1;sleep,2.271;queuecommand,PhantasmPartTwo';
        return s
end
 
function PhantasmPartTwo()
        s = 'accelerate,0.16216;zoomx,0;addx,-300;rotationy,0;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;accelerate,0.16216;zoomx,0;addx,-300;decelerate,0.81081;zoomx,1;addx,300;accelerate,0.16216;zoomx,0;addx,300;decelerate,0.81081;zoomx,1;addx,-300;sleep,0.487;rotationz,18000;decelerate,19.621;rotationz,0;sleep,24;queuecommand,PhantasmPartThreeA';
 
-- Part Two ends at beat 430, or measure 108.5, or 140.531 seconds. --
        return s
end
 
 
 
 
 
-- I really had to do this. Seriously. --
 
function PhantasmPartThreeA()
        s = 'accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;queuecommand,PhantasmPartThreeB';
        return s
end
 
function PhantasmPartThreeB()
        s = 'accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;queuecommand,PhantasmPartThreeC';
        return s
end
 
function PhantasmPartThreeC()
        s = 'accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600;accelerate,0.31933;addx,600;sleep,0.01;addx,-1200;decelerate,0.31932;addx,600;accelerate,0.31932;addx,-600;sleep,0.01;addx,1200;decelerate,0.31932;addx,-600';
        return s
end
 
-------------------------
-- FUCK THIS GAY EARTH --
-------------------------